Stores API

Stores API

1.0OAS 3.0

This API is used to query the Stores REST API.

API Base URL
  • Server 1:https://stores-api.intern.migros.net
Security
apikey (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-Api-Key.

Example: X-Api-Key: 123

Additional Information

Retrieve a list of markets with given verbosity.

Retrieve a list of markets with given verbosity.

get
https://stores-api.intern.migros.net/migros/sales/branches/v1/markets

Query Parameters

idsAny Of

Array of market IDs or slugs

Default:[]

Example:["0090320_super","migros-supermarkt-abtwil-saentispark"]

Variant 1string
sap_idsAny Of
sapIdsstring

Array of SAP IDs

Default:[]

Example:, ["4213","5413"]

searchstring
sortstring

Default:name

orderstring

Allowed values:ascdesc

verbositystring

Allowed values:iddetail

aggregation_optionsstring

Aggregation options to apply for the given aggregations.

limitnumber | null

Limit the number of results.

>= 0<= 10000

Example:1, 10

offsetnumber | null

Offset the number of results

>= 0<= 10000

Example:0

location_referencestring
location_distancenumber | null
location_distance_unitstring

Allowed values:cmmkm

computed_opening_hoursobject

Computed opening hours. Must be an object with start and end properties. Start and end must be valid date strings in the format YYYYMMDD

Example:{"end":"20260930","start":"20260923"}

* Additional properties are NOT allowed.
Show Child Parameters
filtersAny Of

Filters to apply to the markets

Example:{"markets":["super","obi"]}

Variant 1object
* Additional properties are NOT allowed.
Show Child Parameters

Headers

Accept-Languagestring

The language of the results.

Allowed values:defrit

Default:de

Example:de

Response

application/json

List of markets.

marketsarray[object]required
Show Child Parameters
total_hitsnumberrequired
get/migros/sales/branches/v1/markets
 
application/json

Retrieve a market by id.

Retrieve a market by id.

get
https://stores-api.intern.migros.net/migros/sales/branches/v1/markets/{id}

Query Parameters

verbositystring

Allowed values:iddetail

computed_opening_hoursobject

Computed opening hours. Must be an object with start and end properties. Start and end must be valid date strings in the format YYYYMMDD

Example:{"end":"20260930","start":"20260923"}

* Additional properties are NOT allowed.
Show Child Parameters

Path Parameters

idstringrequired

Headers

Accept-Languagestring

The language of the results.

Allowed values:defrit

Default:de

Example:de

Response

application/json

A single market.

InvertedMarket

additional_slugsarray | null[string]required
admin_x_kststring | nullrequired
all_typesarray[string]required
assortmentsarray[object]required
Show Child Parameters
closing_dateAny Of
required
Variant 1string
computed_opening_hoursarray | null[object]required
Show Child Parameters
cooperativeobject | nullrequired
Show Child Parameters
cost_centerstringrequired
emailstring | nullrequired
facebook_idstring | nullrequired
full_namestringrequired
hintstring | nullrequired
idstringrequired
imageobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
localized_slugsobjectrequired
Show Child Parameters
logoobjectrequired
Show Child Parameters
logo_minimalobjectrequired
Show Child Parameters
logo_squareobjectrequired
Show Child Parameters
managersarray[object]required
Show Child Parameters
mediaarray[object]required
Show Child Parameters
mpv_vertriebstyp_idstring | nullrequired
namestringrequired
opening_dateAny Of
required
Variant 1string
opening_hoursarray[object]required
Show Child Parameters
phonestring | nullrequired
prefixed_phonestring | nullrequired
sap_idstring | null
servicesarray[object]required
Show Child Parameters
slugstringrequired
sourcestring
special_day_schedulesarray[object]required
Show Child Parameters
sub_typesarray[string]required
typestringrequired
visit_frequenciesarray | null[object]required
Show Child Parameters
weblinkobject | nullrequired
Show Child Parameters
x_kststring | nullrequired
x_kst_gueltigabstring | nullrequired
storeobjectrequired
Show Child Parameters
get/migros/sales/branches/v1/markets/{id}
 
application/json

Retrieve a list of stores with given verbosity.

Retrieve a list of stores with given verbosity.

get
https://stores-api.intern.migros.net/migros/sales/branches/v1/stores

Query Parameters

idsAny Of

Determines which stores should be returned by id or slug. Cannot be used together with store_types. !ATTENTION! If you set limit and/or offset the result is sorted and ordered by given parameters sort and order or their default values. For example: ids=aarau-igelweid or ids[]=aarau-igelweid&ids[]=0150079

Default:[]

Variant 1string
sap_idsAny Of

Determines which stores should be returned by sap_id. !ATTENTION! If you set limit and/or offset the result is sorted and ordered by given parameters sort and order or their default values. For example: sap_ids=4213 or sap_ids[]=4213&sap_ids[]=5413

Default:[]

Example:[ "" ]

Variant 1string
store_typesAny Of
DEPRECATED

Determines which store types should be returned. Cannot be used together with ids. DEPRECATED, use filters instead.

Default:[]

Variant 1string
market_typesAny Of
DEPRECATED

Determines which market types should be returned. DEPRECATED, use filters instead.

Default:[]

Variant 1string
searchstring
sortstring

Sort the results by the given field.

Allowed values:namesearchnearby

Default:name

Example:name

orderstring

Allowed values:ascdesc

verbositystring

Determines which fields of the store or market objects should be returned

Allowed values:idstoredetail

limitnumber | null

Limit the number of results.

>= 0<= 10000

Example:1

offsetnumber | null

Offset the number of results.

>= 0<= 10000

Example:0

filtersstring

Selected filter terms.

All filters with type AndOrFilter (see the parameter model) can be used in 3 different ways:

  1. Just a string. For example, filters[markets]=super returns all stores with one or
    more markets of type super
  2. An array of strings. The elements are connected by AND. For example:
    filters[markets][]=super&filters[markets][]=alna returns all stores with markets of type super and type alna
  3. An array containing strings and/or sub-arrays of strings - the elements are connected
    by AND, and the sub-elements by OR. For example, filters[markets][0][]=super&filters[markets][0][]=alna& filters[market][1]=spx returns all stores with either a market of type super or alna, and a market of type spx

The services filter can be used in 4 different ways:

  1. Just a string. The string is then interpreted as service type. For example filters[services]=pickmup
    returns all stores with a market with service pickmup
  2. An array of strings. Same behavior as AndOrFilters.
  3. An array containing strings and/or sub-arrays of strings. Same behavior as AndOrFilters for service types.
    For example filters[services][0][]=spx&filters[services][0][]=bikeworld&filters[services][1]=pickmup
    returns all stores with a market with a service with type pickmup and a service with type bikeworld or spx.
  4. An object with various keys (see the parameter model) and logic. For example
    filters[services][type]=pickmup is equivalent to filters[services]=pickmup but allows, additionally to
    add other service filters, e.g. filters[services][type]=pickmup&filters[services][promoted]=true. Each of
    these service filters is an AndOrFilter, meaning you can use an array with arrays to combine AND and OR
    filters, e.g. filters[services][type][0]=pickmup&filters[services][type][1][]=bank& filters[services][type][1][]=subito means store has a market that has a service of type pickmup and a service of type bank or subito.
aggregationsstringDEPRECATED

Deprecated parameter to apply filters to the stores. Use filters instead.

aggregation_groupsstring

Aggregation groups to get aggregations for with size (empty string or 0 = all).(e.g. aggregation_groups[assortments][_size]=0)

aggregation_optionsstring

Aggregation options to apply for the given aggregations.

location_referencestring

Geo reference location as string “latitude,longitude”.

location_distancenumber | null

Distance in kilometers, meters or centimeters from the location reference.

location_distance_unitstring

Unit of the distance from the location reference (defaults to “m” if location_distance is set).

Allowed values:cmmkm

computed_opening_hoursobject

Computed opening hours. Must be an object with start and end properties. Start and end must be valid date strings in the format YYYYMMDD

Example:{"end":"20260930","start":"20260923"}

* Additional properties are NOT allowed.
Show Child Parameters

Headers

Accept-Languagestring

The language of the results.

Allowed values:defrit

Default:de

Example:de

Response

application/json

List of stores.

aggregationsobjectrequired
Show Child Parameters
storesarrayrequired
Show Child Parameters
total_hitsnumberrequired
get/migros/sales/branches/v1/stores
 
application/json

Retrieve a store by id.

Retrieve a store by id.

get
https://stores-api.intern.migros.net/migros/sales/branches/v1/stores/{id}

Query Parameters

verbositystring

Determines which fields of the store or market objects should be returned

Allowed values:idstoredetail

computed_opening_hoursobject

Computed opening hours. Must be an object with start and end properties. Start and end must be valid date strings in the format YYYYMMDD

Example:{"end":"20260930","start":"20260923"}

* Additional properties are NOT allowed.
Show Child Parameters

Path Parameters

idstringrequired

Headers

Accept-Languagestring

The language of the results.

Allowed values:defrit

Default:de

Example:de

Response

application/json

Store.

Store

additional_idsarray | null[string]required
additional_slugsarray[string]required
cooperativeobject | nullrequired
Show Child Parameters
idstringrequired
languagestringrequired
localized_slugsobjectrequired
Show Child Parameters
locationobjectrequired
Show Child Parameters
logoobjectrequired
Show Child Parameters
namestringrequired
phonestring | nullrequired
regionstringrequired
slugstringrequired
typestringrequired
typesarray[string]
marketsarray[object]required
Show Child Parameters
get/migros/sales/branches/v1/stores/{id}
 
application/json